Subject: git pull not ignoring the file which has been sent to the temporary ignore list

From: Arup Rakshit <[email-masked]>
Date: Sat, 24 Jan 2015 00:57:30 +0630

Hi,

I asked git not to track any changes to the file .gitignore. To do so I did use the command - git update-index --assume-unchanged .gitignore.

[arup@sztukajedzenia]$ git status
# On branch MajorUpgrade
# Your branch is behind 'origin/MajorUpgrade' by 4 commits, and can be fast-forwarded.
#   (use "git pull" to update your local branch)
#
nothing to commit, working directory clean
[arup@sztukajedzenia]$ git pull origin MajorUpgrade
>From rubyxcube.co.uk:sztuka-jedzenia/sztukajedzenia
 * branch            MajorUpgrade -> FETCH_HEAD
Updating 59a1c07..d7b9cd3
error: Your local changes to the following files would be overwritten by merge:
        .gitignore
Please, commit your changes or stash them before you can merge.
Aborting
[arup@sztukajedzenia]$

But you can see above, while I am taking `pull`, it is considering the file .gitignore. How should I tell `git pull` also not to consider the change the file, and skip it or something else ?

-- 
================
Regards,
Arup Rakshit
================
Debugging is twice as hard as writing the code in the first place. Therefore, if you write the code as cleverly as possible, you are, by definition, not smart enough to debug it.

--Brian Kernighan